OS.FileSys.chDir "ml-yacc";
use "load";
OS.FileSys.chDir "..";
use "yaccspec.sig";
use  "lexspec.sml";
use "yaccspec.sml";

local
    structure myLrVals =
	myLrValsFun(structure Token = LrParser.Token)
    structure myLex = 
	myLexFun(structure Tokens = myLrVals.Tokens)
    structure myParser = 
	Join(structure ParserData = myLrVals.ParserData
	     structure Lex = myLex
	     structure LrParser = LrParser)
in
    fun parse text =
	let
	    open myParser
	    open TextIO
	    val is = openString text
	    val lexer = makeLexer (fn n => inputN(is,n))
	    fun error (s,_,_) = print (s^"\n")
	    val (result,_) = parse(15,lexer,error,())
	in
	    result
	end
end







