local
    fun sub (cs1,[],f) = rev cs1
      | sub (cs1,c::cs2, f) = 
	let val (new_cs1, new_cs2, flag) = f(cs1,cs2,c) in
	    if flag then
		let val new_cs = (rev new_cs1) @ new_cs2
		    val new_cs2 = map smplc new_cs
		in
		    (print ("constraints:\n"^(ppcons "\n" new_cs)^"\n\n"^
			    "simplified to:\n"^(ppcons "\n" new_cs2)^"\n\n");
		     sub([],(map smplc new_cs),f))
		end
	    else sub(new_cs1,new_cs2,f)
	end
    fun sub2 cs [] = cs
      | sub2 cs (f::fs) = sub2 (sub ([],cs,f)) fs
    fun sub3 cs = 
	let 
	    val cs1 = map smplc cs
	in
	    (print ((ppcons "\n" cs1)^"\n\n");
	     sub2 cs1 [redct,redct2])
	end
in
    fun redctmain cs = 
	(print ("phase1.1: reduce constraints on types\nconstraints:\n"^(ppcons "\n" cs)^"\n\nsimplified to:\n");
	 let 
	     val res1 = sub3 cs
	     val res2 = substftv res1
	     val res  = (print "\n";
			 sub3 res2)
	 in	     
	     if member Cfalse res then
		 (print "Constraints are not satisfiable.\n"; raise Unsatisfied)
	     else
		 (println ("phase1 result:\n"^(ppcons "\n" res)^"\n"); res)
	 end)
end

fun solve satf conf text = 
    let val p = parse text in
	(println ("Input: "^(ppp p)^"\n");
	 reset ();
	 satf(redcu conf (redctmain(snd(pt p)))))
    end 
handle Unsatisfied => false

val solve1 = solve sat1 con1
val solve2 = solve sat2 con2

